<?
/*******************************************************************************
*    Config 1.0. Configuration Server for an Exim Mailsystem                   *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require('db.inc.php');
require('mailbox.inc.php');

function isValidAccount($accountname)
{
   $regex = '/^[A-z0-9\w\.\-]{4,16}$/';

   return (preg_match($regex, $accountname));
}

dbConnect();

if($username == '' || $password == '')
  echo "Usage:\ncreateServerAdmin.php username=<username of the server admin> password=<password>\n";
else
{
  $err = '';
  $query  = "SELECT id FROM account WHERE accountname = '$username'";
  $result = dbQuery($query) or dbError('manageAccount', 'Query failed');
  if(count(dbFetchArray($result)) > 1)
    $err .= "This username already exists!\n";
  else
  {
    if(rtrim($username) != '' && !isValidAccount($username))
      $err .= "The given username is not valid!\n";
  }
  if($err == '')
  {
    $info = posix_getpwnam($eximUser);
    $userNameAlias = $username;
    $finaldest = getMailbox($username, 'mail');
    $query = "INSERT INTO account (accountname, passwd, data, finaldest, canModifyAlias, isAdmin) VALUES ('$username', '$password', 'save %%FINALDEST%%', '$finaldest', 't', 't')";
    dbQuery($query) or dbError('manageAccount', 'Query failed');
    echo "Server administrator [$username] successfully created!\n";
  }
  else
    echo "Error:\n$err";
}

dbDisconnect();
?>
