<?
/*******************************************************************************
*    Config 1.0. Configuration Server for an Exim Mailsystem                   *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require('session.inc.php');
require_once('lang.inc.php');
require_once('mailbox.inc.php');

dbConnect();

$query         = "SELECT isAdmin, canUseFilters FROM account WHERE accountname='$user'";
$result        = dbQuery($query) or dbError('manageAccount', 'Query failed');
$rs            = dbFetch($result);
$isAdminLogged = $rs->isAdmin;
$canUseFilters = $rs->canUseFilters;
if($toManage != '' && $isAdminLogged != 'f')
  $user = $toManage;

function isValidEmail($email_address)
{
   $regex = '/^[A-z0-9][\w.-]*@[A-z0-9][\w\-\.]+\.[A-z0-9]{2,6}$/';

   return (preg_match($regex, $email_address));
}

function isValidAlias($email_address)
{
   $regex = '/^[A-z0-9][\w.-]*$/';

   return (preg_match($regex, $email_address));
}

if($delAliasId != '')
{
  dbQuery("DELETE FROM aliases WHERE id = $delAliasId") or dbError('main', 'Query failed');
}

$msgPwd        = '';
$msgSettings   = '';

require "header.inc.php";
?>
<BODY>
<? require "menu.inc.php"; ?>
<FORM ACTION="main.php?sid=<? print session_id(); ?>" METHOD="POST">
  <CENTER><H2><? echo sprintf(_("Eigenschaften des Kontos '%s'"), $user); ?></H2></CENTER><HR>
<?
if($toManage != '' && $isAdminLogged != 'f')
  echo "<INPUT TYPE=\"hidden\" NAME=\"toManage\" VALUE=\"$toManage\">\n";
if($createAlias != '')
{
  $result  = dbQuery("SELECT id FROM domain WHERE domainname='$newAliasDomain'") or dbError('manageAccount', 'Query failed');
  $rs      = dbFetch($result);
  $domId   = $rs->id;

  $msfAlias = '';
  if(rtrim($newAliasName) == '')
    $msgAlias .= "<FONT COLOR=\"#FF0000\"><B>"._('Sie m&uuml;ssen ein Alias geben!')."</B></FONT><br>";
  if(rtrim($newAliasName) != '' && !isValidAlias($newAliasName))
    $msgAlias .= "<FONT COLOR=\"#FF0000\"><B>"._('Die eingegebene E-Mail Adresse ist nicht g&uuml;ltig!')."</B></FONT><br>";
  else
  {
    $result  = dbQuery("SELECT id FROM aliases WHERE aliasname = '$newAliasName' and domainid = $domId") or dbError('manageAccount', 'Query failed');
    $rs      = dbFetch($result);
    $exAlias = $rs->id;
    if($exAlias != '')
      $msgAlias .= "<FONT COLOR=\"#FF0000\"><B>"._('Die eingegebene E-Mail Adresse ist schon benutzt!')."</B></FONT><br>";
  }

  if($msgAlias == '')
  {
    dbQuery("INSERT INTO aliases(accountid, domainid, aliasname) VALUES($accountId, $domId, '$newAliasName')") or dbError('main', 'Query failed');
    $newAliasName = '';
    $newAliasDomain = '';
  }
}
if($saveSettings != '')
{
  $uAdmin = $uAlias = '';
  if($willBeAdmin != '')
    $uAdmin = "isAdmin = '$willBeAdmin',";
  if($canModifyAlias != '')
    $uAlias = "canModifyAlias = '$canModifyAlias',";
  if($canUseFilters != '')
      $uFilters = "canUseFilters = '$canUseFilters',";
  dbQuery("UPDATE account SET $uAdmin $uAlias $uFilters realname = '$realname', spamScanType = '$spamScanType', virusScanType = '$virusScanType' WHERE accountname = '$user'") or dbError('main', 'Query failed');
  $msgSettings = "<FONT COLOR=\"#2AD33A\"><B>"._('Die &Auml;nderungen sind gespeichert worden')."</B></FONT>";
}
if($changeForward != '')
{
  if(rtrim($forward) != '')
  {
    $e = 0;
    $c = 0;
    foreach(explode("\n", str_replace("\r\n", "\n", rtrim($forward))) as $f)
    {
      $c++;
      if(!isValidEmail($f))
        $e = 1;
    }
    if($e == 1)
      if($c == 1)
        $msgForward .= "<FONT COLOR=\"#FF0000\"><B>"._('Die eingegebene Weiterleitungsziel ist nicht g&uuml;ltig!')."</B></FONT><BR>";
      else
        $msgForward .= "<FONT COLOR=\"#FF0000\"><B>"._('Mindestens eine der eingegebenen Weiterleitungsziele ist nicht g&uuml;ltig!')."</B></FONT><BR>";
  }
  else
    $msgForward .= "<FONT COLOR=\"#FF0000\"><B>"._('Sie m&uuml;ssen mindestens ein Weiterleitungsziel eingeben!')."</B></FONT><BR>";
  if($msgForward == '')
  {
    $fData = '';
    foreach(explode("\n", str_replace("\r\n", "\n", rtrim($forward))) as $f)
    {
      if($fData != '')
        $fData .= "\n";
      $fData .= "deliver $f";
    }

    dbQuery("UPDATE account SET data = '$fData' WHERE accountname = '$user'") or dbError('main', 'Query failed');
    $msgForward = "<FONT COLOR=\"#2AD33A\"><B>"._('Die Weiterleitungsziele sind aktualisiert worden!')."</B></FONT>";
  }
}
if($changePipe != '')
{
  dbDisconnect();
  $ok = 0;
  foreach(getParametersForPipe($pipeName) as $par)
    if($par == $pipeParameter)
      $ok = 1;
  dbConnect();
  if($ok == 0)
    $msgPipe .= "<FONT COLOR=\"#FF0000\"><B>"._('Der eingegebene Parameter ist f&uuml;r dieses Programm nicht g&uuml;ltig!')."</B></FONT><BR>";
  else
  {
    foreach($allowedPipes as $pipe)
      if($pipe['name'] == $pipeName)
      {
        list($type, $v) = explode(':', $pipe['values']);
        list($prefix, $other) = explode('|', $v);
        if($other == '' && $prefix != '')
        {
          $other = $prefix;
          $prefix = '';
        }
        $str = "pipe \"".$pipe['command']." $prefix$pipeParameter\"";
      }
    dbQuery("UPDATE account SET data = '$str' WHERE accountname = '$user'") or dbError('main', 'Query failed');
    $msgPipe = "<FONT COLOR=\"#2AD33A\"><B>"._('Die Einstellungen sind aktualisiert worden!')."</B></FONT>";
  }
}
if($changePwd != '')
{
  if($newPass == '')
  {
    $msgPwd = "<FONT COLOR=\"#FF0000\"><B>"._('Sie m&uuml;ssen ein Passwort geben')."</B></FONT>";
  }
  else
  {
    if($newPass != $newPass2)
    {
      $msgPwd = "<FONT COLOR=\"#FF0000\"><B>"._('Passwort und Passwortbest&auml;tigung sind nicht identisch!')."</B></FONT>";
    }
    else
    {
      dbQuery("UPDATE account SET passwd = '$newPass' WHERE accountname = '$user'") or dbError('main', 'Query failed');
      $msgPwd = "<FONT COLOR=\"#2AD33A\"><B>"._('Das Passwort ist aktualisiert worden!')."</B></FONT>";
    }
  }
}

$query                = "SELECT id, realname, data, spamScanType, virusScanType, isAdmin, accountType, canModifyAlias, canUseFilters FROM account WHERE accountname='$user'";
$result               = dbQuery($query) or dbError('displayXList', 'Query failed');

$rs                   = dbFetch($result);
$accountid            = $rs->id;
$realname             = $rs->realname;
$data                 = $rs->data;
$spamScanType         = $rs->spamScanType;
$virusScanType        = $rs->virusScanType;
$isAdmin              = $rs->isAdmin;
$accountType          = $rs->accountType;
$canModifyAlias       = $rs->canModifyAlias;
$canUseFilters        = $rs->canUseFilters ;
$willBeAdmin          = $rs->isAdmin;

?>
  <TABLE WIDTH="600" BORDER="0">
    <TR>
      <TD WIDTH="150" VALIGN="TOP"><? echo _('Login'); ?>:</TD>
      <TD WIDTH="450" VALIGN="TOP"><b><? print $user; ?></b></TD>
    </TR>
<?
if($accountType == 'MBOX')
{
?>
    <TR>
      <TD WIDTH="150" VALIGN="TOP"><? echo _('Neues Passwort'); ?>:</TD>
      <TD WIDTH="450" VALIGN="TOP"><INPUT TYPE="password" NAME="newPass" SIZE="30" VALUE=""></TD>
    </TR>
    <TR>
      <TD WIDTH="150" VALIGN="TOP"><? echo _('Passwortbest&auml;tigung'); ?>:</TD>
      <TD WIDTH="450" VALIGN="TOP"><INPUT TYPE="password" NAME="newPass2" SIZE="30" VALUE=""></TD>
    </TR>
<?
if($msgPwd != '')
  print "<TR>\n<TD WIDTH=\"600\" COLSPAN=\"2\">$msgPwd</TD>\n</TR>\n";
?>
    <TR>
      <TD WIDTH="150" VALIGN="TOP">&nbsp;</TD>
      <TD WIDTH="450" VALIGN="TOP"><INPUT TYPE="submit" NAME="changePwd" VALUE="<? echo _('Passwort &auml;ndern') ?>"></TD>
    </TR>
<?
}
if($accountType == 'FORWARD')
{
  if($forward == '')
    $forward = str_replace('deliver ', '', $data);
?>
    <TR>
      <TD WIDTH="150" VALIGN="TOP"><? echo _('Weiterleitungsziel'); ?>:</TD>
      <TD WIDTH="450" VALIGN="TOP"><TEXTAREA NAME="forward" ROWS="5" COLS="50" WRAP="soft"><? echo $forward; ?></TEXTAREA></TD>
    </TR>
<?
if($msgForward != '')
  print "<TR>\n<TD WIDTH=\"600\" COLSPAN=\"2\">$msgForward</TD>\n</TR>\n";
?>
    <TR>
      <TD WIDTH="150" VALIGN="TOP">&nbsp;</TD>
      <TD WIDTH="450" VALIGN="TOP"><INPUT TYPE="submit" NAME="changeForward" VALUE="<? echo _('Weiterleitungsziel &auml;ndern') ?>"></TD>
    </TR>
<?
}
if($accountType == 'PIPE')
{
  if($pipeName == '')
  {
    $p = str_replace('pipe "', '', $data);
    $p = str_replace('"', '', $p);
    list($pipeCmd, $pipeParameter) = explode(' ', $p);
    foreach($allowedPipes as $pipe)
      if($pipe['command'] == $pipeCmd)
      {
        $pipeName = $pipe['name'];
        list($type, $v) = explode(':', $pipe['values']);
        list($prefix, $other) = explode('|', $v);
        if($other == '' && $prefix != '')
        {
          $other = $prefix;
          $prefix = '';
        }
      }
    $pipeParameter = str_replace($prefix, '', $pipeParameter);
  }
?>
    <TR>
      <TD WIDTH="150" VALIGN="TOP"><? echo _('Programm aufzurufen'); ?>:</TD>
      <TD WIDTH="450" VALIGN="TOP"><SELECT NAME="pipeName" SIZE="1"><OPTION VALUE=""><? echo _('Kein Programm ausf&uuml;hren'); ?></OPTION>
<?
  foreach($allowedPipes as $pipe)
  {
    if($pipeName == $pipe['name'])
      echo '<OPTION SELECTED VALUE="'.$pipe['name'].'">'.$pipe['name']."</OPTION>\n";
    else
      echo '<OPTION VALUE="'.$pipe['name'].'">'.$pipe['name']."</OPTION>\n";
  }
?>
</SELECT>&nbsp;<INPUT TYPE="submit" NAME="selectPipe" VALUE="<? echo _('Programm w&auml;hlen') ?>"></TD>
    </TR>
    <TR>
      <TD WIDTH="150" VALIGN="TOP"><? echo _('Parameter'); ?>:</TD>
      <TD WIDTH="450" VALIGN="TOP"><SELECT NAME="pipeParameter" SIZE="1"><OPTION VALUE=""><? echo _('Kein Parameter'); ?></OPTION>
<?
dbDisconnect();
  foreach(getParametersForPipe($pipeName) as $par)
  {
    if($pipeParameter == $par)
      echo "<OPTION SELECTED VALUE=\"$par\">$par</OPTION>\n";
    else
      echo "<OPTION VALUE=\"$par\">$par</OPTION>\n";
  }
dbConnect();
?>
      </TD>
    </TR>
<?
if($msgPipe != '')
  print "<TR>\n<TD WIDTH=\"600\" COLSPAN=\"2\">$msgPipe</TD>\n</TR>\n";
?>
    <TR>
      <TD WIDTH="150" VALIGN="TOP">&nbsp;</TD>
      <TD WIDTH="450" VALIGN="TOP"><INPUT TYPE="submit" NAME="changePipe" VALUE="<? echo _('Einstellungen &auml;ndern') ?>"></TD>
    </TR>
<?
}
?>
  </TABLE>
  <HR>
  <H3><? echo _('Aliase'); ?>:</H3>
<?
$query        = "SELECT aliases.id as aliasid, aliasname, domainname FROM aliases, domain WHERE domainid = domain.id AND accountid = $accountid ORDER BY domainname = '$mainDomain' DESC, domainname, aliasname";
$result       = dbQuery($query) or dbError('manageAccount', 'Query failed');

$nLines = dbNumRows($result);
if($nLines > 9)
{
  $divHeight = 163;
  $w1 = 500;
  $w2 = 100;
}
else
{
  $divHeight = 18 * $nLines;
  $w1 = 500;
  $w2 = 100;
}
if($nLines == 0)
  $divHeight = 18;

echo "<div id=\"Layer1\" style=\"border-width:1px; border-style:solid; width:600px; z-index:1; ";
if($nLines > 9)
  echo "overflow: auto; ";
echo "height:$divHeight"."px;\">\n";
echo "  <TABLE WIDTH=\"600\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"2\">\n";

$style = 'table02';
while($rs = dbFetch($result))
{
    if($style == 'table02')
      $style = 'table03';
    else
      $style = 'table02';
?>
    <TR>
      <TD WIDTH="<? echo $w1; ?>" class="<? echo $style; ?>" style="border-left-width:0px;border-right-width:0px;border-bottom-width:0px;border-top-width:0px;" VALIGN="TOP"><? print $rs->aliasname.'@'.$rs->domainname; ?></TD>
<?
    if(($toManage != '' && $isAdminLogged != 'f') || ($canModifyAlias == 't'))
    {
?>
      <TD WIDTH="<? echo $w2; ?>" class="<? echo $style; ?>" style="border-right-width:0px;border-bottom-width:0px;border-top-width:0px;" VALIGN="TOP" ALIGN="CENTER"><A class="maillist" HREF="main.php?sid=<? print session_id(); if($toManage != '' && $isAdminLogged != 'f') print "&toManage=$toManage"; ?>&delAliasId=<? print $rs->aliasid; ?>"><? echo _('L&ouml;schen'); ?></A></TD>
<?
    }
?>
    </TR>
<?
}
if($nLines == 0)
{
?>
    <TR>
      <TD  WIDTH="<? echo $w1 + $w2; ?>" class="table03" style="border-left-width:0px;border-right-width:0px;border-bottom-width:0px;border-top-width:0px;"><b><? echo _('Kein Eintrag'); ?></b></TD>
    </TR>
<?
}
?>
  </TABLE>
</div>
<?
    if(($toManage != '' && $isAdminLogged != 'f') || ($canModifyAlias == 't'))
    {
?>
  <TABLE WIDTH="600" BORDER="0">
    <TR>
      <TD COLSPAN="2" VALIGN="TOP"><? echo _('Neues Alias anlegen') ?>:</TD>
    </TR>
    <TR>
      <TD WIDTH="450" VALIGN="TOP">
        <INPUT TYPE="HIDDEN" NAME="accountId" VALUE="<? print $accountid; ?>">
        <INPUT TYPE="text" NAME="newAliasName" SIZE="30" VALUE="<? print $newAliasName; ?>">@
        <SELECT NAME="newAliasDomain" SIZE="1">
<?
if($isAdminLogged == 't')
  $query        = "SELECT DISTINCT(domainname) FROM domain ORDER BY domainname = '$mainDomain' DESC, domainname";
else
  $query        = "SELECT DISTINCT(domainname) FROM aliases, domain WHERE domainid = domain.id AND accountid = $accountid ORDER BY domainname = '$mainDomain' DESC, domainname";
$result       = dbQuery($query) or dbError('manageAccount', 'Query failed');

while($rs = dbFetch($result))
{
  $d   = $rs->domainname;
  if($d == $newAliasDomain)
    print "<OPTION SELECTED>$d</OPTION>\n";
  else
    print "<OPTION>$d</OPTION>\n";
}
?>
        </SELECT>
      </TD>
      <TD WIDTH="150" VALIGN="TOP"><INPUT TYPE="submit" NAME="createAlias" VALUE="<? echo _('Anlegen'); ?>"></TD>
    </TR>
<?
if($msgAlias != '')
{
  print "<TR>\n<TD WIDTH=\"600\" COLSPAN=\"2\">$msgAlias</TD>\n</TR>\n";
}
?>
  </TABLE>
<?
    }
?>
  <HR>
  <TABLE WIDTH="600" BORDER="0">
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Vor- und Nachname'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP"><INPUT TYPE="text" NAME="realname" SIZE="50" VALUE="<? echo $realname; ?>"></TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2">&nbsp;</TD>
    </TR>
<?
$hasToDisplaySpace = 0;
if($toManage != '' && $isAdminLogged != 'f' && $accountType == 'MBOX')
{
?>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Der Nutzer darf seine Aliase &auml;ndern'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP"><INPUT TYPE="radio" NAME="canModifyAlias" VALUE="t"<? if($canModifyAlias == 't') echo " CHECKED=\"checked\""; ?>><? echo _('Ja'); ?>&nbsp;&nbsp;<INPUT TYPE="radio" NAME="canModifyAlias" VALUE="f"<? if($canModifyAlias == 'f') echo " CHECKED=\"checked\""; ?>><? echo _('Nein'); ?></TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2"><FONT SIZE="2">
        <B><? echo _('Hilfe'); ?>:</B><BR>
<?
echo _("Wenn diese Option auf 'Nein' gesetzt ist, darf der Nutzer keine &Auml;nderung (l&ouml;schen bzw. hinzuf&uuml;gen) an seinen Aliasen ausf&uuml;hren.");
?></FONT>
      </TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Der Nutzer darf Filters benutzen'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP"><INPUT TYPE="radio" NAME="canUseFilters" VALUE="t"<? if($canUseFilters == 't' || $canUseFilters == '') echo " CHECKED=\"checked\""; ?>><? echo
 _('Ja'); ?>&nbsp;&nbsp;<INPUT TYPE="radio" NAME="canUseFilters" VALUE="f"<? if($canUseFilters == 'f') echo " CHECKED=\"checked\""; ?>><? echo _('Nein'); ?></TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2"><FONT SIZE="2">
        <B><? echo _('Hilfe'); ?>:</B><BR><?  echo _("Wenn diese Option auf 'Ja' gesetzt ist, hat der Nutzer eine M&ouml;glichkeit, genau zu bestimmen wie seine E-Mail verwaltet werden sollen, anhand einigen Bedingungen."); ?></FONT>
      </TD>
    </TR>
<?
  $hasToDisplaySpace = 1;
}
if($toManage != '' && $isAdminLogged != 'f' && $accountType == 'MBOX')
{
?>
    <TR>
      <TD WIDTH="600" COLSPAN="2">&nbsp;</TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Nutzertyp'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP">
<?
  if($isAdminLogged == 't')
  {
?>
        <INPUT TYPE="radio" NAME="willBeAdmin" VALUE="t"<? if($willBeAdmin == 't') echo " CHECKED=\"checked\""; ?>><? echo _('Serveradministrator'); ?>&nbsp;&nbsp;
<?
  }
?>
        <INPUT TYPE="radio" NAME="willBeAdmin" VALUE="d"<? if($willBeAdmin == 'd') echo " CHECKED=\"checked\""; ?>><? echo _('Domainadministrator'); ?>
        <INPUT TYPE="radio" NAME="willBeAdmin" VALUE="f"<? if($willBeAdmin == 'f' || $willBeAdmin == '') echo " CHECKED=\"checked\""; ?>><? echo _('Normaler Nutzer'); ?>
      </TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2"><FONT SIZE="2">
        <B><? echo _('Hilfe'); ?>:</B><BR>
<?
echo _("Ein Administrator darf neue Konten anlegen und bearbeiten. Wenn es nicht n&ouml;tig ist, dass der Nutzer das macht, w&auml;hlen Sie 'Normaler Nutzer'");
?></FONT>
      </TD>
    </TR>
<?
  $hasToDisplaySpace = 1;
}

if($hasToDisplaySpace == 1)
{
?>
    <TR>
      <TD WIDTH="600" COLSPAN="2" ALIGN="CENTER">&nbsp;</TD>
    </TR>
<?
}
?>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Spamschutz'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP">
        <INPUT TYPE="radio" NAME="spamScanType" VALUE="INACTIVE"<? if($spamScanType == 'INACTIVE') print " CHECKED"; ?>><? echo _('Inaktiv'); ?><BR>
        <INPUT TYPE="radio" NAME="spamScanType" VALUE="MARK"<? if($spamScanType == 'MARK') print " CHECKED"; ?>><? echo _('Im Falle von Spam wird <I>X-Spam: YES</I> den Headers hinzugef&uuml;gt.'); ?><BR>
        <INPUT TYPE="radio" NAME="spamScanType" VALUE="SUBJECT"<? if($spamScanType == 'SUBJECT') print " CHECKED"; ?>><? echo _('Im Falle von Spam wird der Betreff der E-Mail markiert.'); ?><BR>
        <INPUT TYPE="radio" NAME="spamScanType" VALUE="SPAMFOLDER"<? if($spamScanType == 'SPAMFOLDER') print " CHECKED"; ?>><? echo _('Im Falle von Spam wird die E-Mail in dem Spamordner gespeichert.'); ?><BR>
      </TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2" ALIGN="CENTER"><b><? printf(_('Die E-Mails werden mit SpamAssassin %s kontrolliert'), $session[spamVersion]); ?></b></TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2"><FONT SIZE="2">
        <B><? echo _('Hilfe'); ?>:</B><BR>
<?
echo _('Die ankommenden E-Mails k&ouml;nnen mit SpamAssassin (<A HREF="http://spamassassin.apache.org/" TARGET="_BLANK">http://spamassassin.apache.org/</A>) kontrolliert werden.<br>Wenn die E-Mail als Spam erkannt wird, ist es m&ouml;glich zu w&auml;hlen, was mit ihr passieren soll.<br>Wenn man die E-Mail &quot;markiert&quot;, wird ihr ein Header hinzugef&uuml;gt und sie wird in der normalen INBOX gespeichert.');
?></FONT>
      </TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2">&nbsp;</TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Virusschutz'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP">
        <INPUT TYPE="radio" NAME="virusScanType" VALUE="INACTIVE"<? if($virusScanType == 'INACTIVE') print " CHECKED"; ?>><? echo _('Inaktiv'); ?><BR>
        <INPUT TYPE="radio" NAME="virusScanType" VALUE="SUBJECT"<? if($virusScanType == 'SUBJECT') print " CHECKED"; ?>><? echo _('Im Falle eines Virus wird der Betreff der E-Mail markiert.'); ?><BR>
        <INPUT TYPE="radio" NAME="virusScanType" VALUE="SPAMFOLDER"<? if($virusScanType == 'SPAMFOLDER') print " CHECKED"; ?>><? echo _('Im Falle eines Virus wird die E-Mail in dem Spamordner gespeichert.'); ?><BR>
      </TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2" ALIGN="CENTER"><b><? printf(_('Die E-Mails werden mit ClamAV %s kontrolliert'), $session[clamVersion]); ?></b></TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2"><FONT SIZE="2">
        <B><? echo _('Hilfe'); ?>:</B><BR>
<?
echo _('Die ankommenden E-Mails k&ouml;nnen mit ClamAV (<A HREF="http://www.clamav.net/" TARGET="_BLANK">http://www.clamav.net/</A>) kontrolliert werden.<br>Wenn die E-Mail einen oder mehrere Virus enth&auml;lt, ist es m&ouml;glich zu w&auml;hlen, was mit ihr passieren soll.');
?></FONT>
      </TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2">&nbsp;</TD>
    </TR>
<?
if($msgSettings != '')
{
  print "<TR>\n<TD WIDTH=\"600\" COLSPAN=\"2\">$msgSettings</TD>\n</TR>\n";
}
?>
    <TR>
      <TD WIDTH="200" VALIGN="TOP">&nbsp;</TD>
      <TD WIDTH="400" VALIGN="TOP"><INPUT TYPE="submit" NAME="saveSettings" VALUE="<? echo _('Einstellungen speichern'); ?>"></TD>
    </TR>
  </TABLE>
</FORM>
<?
dbDisconnect();
?>
    </TABLE>
  </CENTER>
</BODY>
</HTML>
