<?
/*******************************************************************************
*    Config 1.0. Configuration Server for an Exim Mailsystem                   *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require('session.inc.php');
require_once('lang.inc.php');

function isValidDomain($domain)
{
   $regex = '/^[A-z0-9][\w\-\.]+\.[A-z0-9]{2,6}$/';

   return (preg_match($regex, $domain));
}

dbConnect();

$query         = "SELECT isAdmin FROM account WHERE accountname='$user'";
$result        = dbQuery($query) or dbError('manageDomain', 'Query failed');
$rs            = dbFetch($result);
$isAdminLogged = $rs->isAdmin;
$canUseFilters = 't';
if($rs->isAdmin != 't')
{
  require "header.inc.php";
?>
<BODY>
<CENTER><H1><? echo _('Sie sind nicht erlaubt diese Seite aufzurufen!'); ?></H1></CENTER>
<HR>
<H2><?
echo _('Sie haben versucht eine reservierte Seite des System aufzurufen, ohne eine g&uuml;ltige Autorisierung!<br>Der Systemadministrator ist informiert worden.<br><br>Ihrer Versuch kann, nach der Entscheidung der Administrator, zur rechtlichen Konsequenzen und zur Sperre Ihres Kontos f&uuml;hren.');
?></H2>
</BODY>
</HTML>
<?
  mail($admins, "Unauthorised access try to the system", "Unauthorised access try to the page manageDomain.php\n\n".
     "IP: ".$HTTP_SERVER_VARS['REMOTE_ADDR']." (".gethostbyaddr($HTTP_SERVER_VARS['REMOTE_ADDR']).")\n".
     "Used browser: ".$HTTP_SERVER_VARS['HTTP_USER_AGENT']."\n".
     "User: $user\n",
     "From: $admins\r\n"
    ."X-Mailer: PHP/" . phpversion());
  session_unset();
  session_destroy();
  exit();
}

if($action == 'insert')
{
  $err = '';
  if(rtrim($domainname) == '')
    $err .= '<FONT COLOR="#FF0000"><B>- '._('Sie m&uuml;ssen einen Domainname angeben!').'</B></FONT><BR>';
  else
  {
    $query  = "SELECT id FROM domain WHERE domainname = '$domainname'";
    $result = dbQuery($query) or dbError('manageDomain', 'Query failed');
    if(count(dbFetchArray($result)) > 1)
      $err .= '<FONT COLOR="#FF0000"><B>- '._('Dieser Domainname ist schon benutzt!').'</B></FONT><BR>';
    else
    {
      if(!isValidDomain($domainname))
        $err .= '<FONT COLOR="#FF0000"><B>- '._('Der eingegebene Domainname ist nicht g&uuml;ltig!').'</B></FONT><BR>';
    }
  }
  if($err == '')
  {
    $query = "INSERT INTO domain (domainname) VALUES ('$domainname')";
    dbQuery($query) or dbError('manageDomain', 'Query failed');
    $domainname = '';
  }
}
if($toDeleteId != '')
{
  $result = dbQuery("SELECT aliases.id FROM aliases LEFT JOIN domain ON aliases.domainid = domain.id WHERE domain.id = $toDeleteId") or dbError('manageDomain', 'Query failed');
  while($rs = dbFetch($result))
  {
    $aliasid = $rs->id;
    dbQuery("DELETE FROM aliases WHERE id = $aliasid") or dbError('manageDomain', 'Query failed');
  }
  dbQuery("DELETE FROM domain WHERE id = $toDeleteId") or dbError('manageDomain', 'Query failed');
}

require "header.inc.php";
?>
<SCRIPT Language="JavaScript">

function deleteDomain(sid, domainid, domainname)
{
  if(confirm("<? echo _('Bitte bestaetigen Sie die Loeschung der Domain'); ?> " + domainname + "!\n<? echo _('Vorsicht: alle Aliase der Domain werden geloescht!!'); ?>"))
    {
      document.location = "manageDomain.php?sid=" + sid + "&toDeleteId=" + domainid;
    }
}
</SCRIPT>
<BODY>
<? require "menu.inc.php"; ?>
  <H3></H3>
<?
  if($err != '')
  {
    printf(_("<H2>FEHLER!</H2>%s"), $err);
    echo "<br>\n";
  }
?>
  <FORM ACTION="manageDomain.php?sid=<? print session_id(); ?>" METHOD="POST" NAME="insertForm">
  <INPUT TYPE="hidden" NAME="action" VALUE="insert">
  <TABLE WIDTH="600" BORDER="0">
    <TR>
      <TD WIDTH="600" COLSPAN="2" VALIGN="TOP"><H2><? echo _('Neue Domain anlegen'); ?></H2></TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Domainname'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP"><INPUT TYPE="text" NAME="domainname" SIZE="30" VALUE="<? print $domainname; ?>"></TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2"><INPUT TYPE="submit" NAME="submit" VALUE="<? echo _('Anlegen'); ?>">&nbsp;&nbsp;&nbsp;<INPUT TYPE="reset" NAME="reset" VALUE="<? echo _('Abbrechen'); ?>"></TD>
    </TR>
  </TABLE>
  </FORM>
  <HR>
  <CENTER><H2><? echo _('Domain auf dem Server'); ?></H2>
    <TABLE WIDTH="600" BORDER="0" cellspacing="1" cellpadding="0">
      <TR>
        <TH class="addbook" style="border-left-width:1px; border-left-style:solid;" WIDTH="497"><? echo _('Domainname'); ?></TH>
        <TH class="addbook" WIDTH="103">&nbsp;</TH>
      </TR>
      <TR>
        <td colspan="2">
<?
$query      = "SELECT id, domainname FROM domain ORDER BY  domainname = '$mainDomain' DESC, domainname";
$result       = dbQuery($query) or dbError('manageDomain', 'Query failed');

$nLines = dbNumRows($result);
if($nLines > 10)
{
  $divHeight = 180;
  $w1 = 513;
  $w2 = 87;
}
else
{
  $divHeight = 18 * $nLines;
  $w1 = 499;
  $w2 = 101;
}

echo "<div id=\"Layer1\" style=\"border-width:1px; border-style:solid; width:600px; z-index:1; ";
if($nLines > 10)
  echo "overflow: auto; ";
echo "height:$divHeight"."px;\">\n";
echo "  <TABLE WIDTH=\"100%\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"2\">\n";

$style = 'table02';
while($rs = dbFetch($result))
  {
    $domainid    = $rs->id;
    $domainname  = $rs->domainname;
    if($style == 'table02')
      $style = 'table03';
    else
      $style = 'table02';
?>
      <TR>
        <TD WIDTH="<? echo $w1; ?>" class="<? echo $style; ?>" style="border-left-width:0px;border-right-width:0px;border-bottom-width:0px;border-top-width:0px;" ALIGN="LEFT"><? print stripslashes(htmlentities($domainname)); ?></TD>
        <TD WIDTH="<? echo $w2; ?>" class="<? echo $style; ?>" style="border-right-width:0px;border-bottom-width:0px;border-top-width:0px;"><? print "<A class=\"maillist\" HREF=\"javascript:deleteDomain('".session_id()."', $domainid, '$domainname')\">"._('L&ouml;schen')."</A>"; ?></TD>
      </TR>
<?
  }

dbDisconnect();
?>
    </TABLE>
    </td>
    </tr></table>
  </div><br>
    <A class="maillist" HREF="manageDomain.php?sid=<? print session_id(); ?>"><? echo _('Liste aktualisieren'); ?></A>
  </CENTER>
</BODY>
</HTML>
