#!/bin/sh

################################################################################
#    Config 1.0. Configuration Server for an Exim Mailsystem                   #
#    Using DB Framwork for PHP  1.1.                                           #
#    Copyright (C) 2006 Luca Bertoncello                                       #
#    Hartigstrasse, 12 - 01127 Dresden Deutschland                             #
#    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       #
#    http://www.lucabert.de/  http://www.lucabert.com/                         #
#                                                                              #
#    This program is free software; you can redistribute it and/or modify      #
#    it under the terms of the GNU General Public License as published by      #
#    the Free Software Foundation; version 2 of the License.                   #
#                                                                              #
#    This program is distributed in the hope that it will be useful,           #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of            #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             #
#    GNU General Public License for more details.                              #
#                                                                              #
#    You should have received a copy of the GNU General Public License         #
#    along with this program; if not, write to the Free Software               #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA #
################################################################################

MYSQL=/usr/bin/mysql
DIFF=/usr/bin/diff
RM=/bin/rm
MV=/bin/mv
EXIMUSER=exim
EXIMPASS=exim
EXIMDB=exim
EXIMCONFDIR=/etc/exim4
TMPDIR=/tmp

######################################
# Don't make changes after this line #
######################################
$MYSQL -u $EXIMUSER --password=$EXIMPASS $EXIMDB -e "select domainname from domain where domainname is not null;"  -B -r -s > $TMPDIR/virtualdomains.txt.1
$DIFF $TMPDIR/virtualdomains.txt.1 $EXIMCONFDIR/virtualdomains.txt > /dev/null 2>&1
if test $? != 0; then
  $MV $TMPDIR/virtualdomains.txt.1 $EXIMCONFDIR/virtualdomains.txt > /dev/null 2>&1
  /usr/sbin/exim_dbmbuild $EXIMCONFDIR/virtualdomains.txt $EXIMCONFDIR/virtualdomains.db > /dev/null 2>&1
else
  $RM $TMPDIR/virtualdomains.txt.1 > /dev/null 2>&1
fi
