<?
/*******************************************************************************
*    Config 1.0. Configuration Server for an Exim Mailsystem                   *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require('session.inc.php');
require_once('lang.inc.php');

dbConnect();

$query         = "SELECT isAdmin, canUseFilters FROM account WHERE accountname='$user'";
$result        = dbQuery($query) or dbError('manageAccount', 'Query failed');
$rs            = dbFetch($result);
$isAdminLogged = $rs->isAdmin;
$canUseFilters = $rs->canUseFilters;
if($toManage != '' && $isAdminLogged != 'f')
  $user = $toManage;

$err = '';
$emptyVars = 0;
if($action == 'insert' || substr($action, 0, 4) == 'edit')
{
  if($filterActionValue == '')
    $err = '<b>'._('Sie m&uuml;ssen ein Wert eingeben')."</b><br>\n";
  else
  {
    $filter = "if\n";
    for($n = 0; $n < $nConditions; $n++)
    {
      $filter .= ' '.trim($filtersTests[$filterTest[$n]]).' ';
      $filter .= $filterCondition[$n].' ';
      $filter .= '"'.$match[$n].'"';
      if($filterAndOr[$n] != '')
        $filter .= "\n$filterAndOr[$n]\n";
    }
    if($filterAction == 'save')
      $filterActionValue = "%%FINALDEST%%/.$filterActionValue";
    $finish = '';
    if($filterActionFinish == 't')
      $finish = "\n seen finish";
    $filter .= "\n then\n $filterAction $filterActionValue$finish\nendif";
    if($action == 'insert')
      $currentFilters .= "\n$filter";
    else
    {
      $nEdit          = substr($action, 5);
      $filters        = array();
      $filtersRaw     = explode('if', $currentFilters);
      foreach($filtersRaw as $f)
      {
        $f = trim(rtrim($f));
        if($f != '')
        {
          $f = ereg_replace("end$", "endif", $f);
          $fs = explode("\n", $f);
          $f = '';
          foreach($fs as $f1)
          {
            if($f != '')
              $f .= "\n ";
            $f .= rtrim(trim($f1));
          }
          $f = str_replace(" endif", "endif", $f);
          $filters[] = "if\n $f";
        }
      }
      $filters[$nEdit] = $filter;
      $currentFilters = '';
      foreach($filters as $f)
        $currentFilters .= "\n$f";
    }
    dbQuery("UPDATE account SET filters = '$currentFilters' WHERE accountname = '$user'") or dbError('filters', 'Query failed');
    $emptyVars = 1;
  }
}
if($action == 'cancel')
  $emptyVars = 1;
if(substr($action, 0, 10) == 'delFilter_')
{
  $toDelFilter    = substr($action, 10);
  $filters        = array();
  $filtersRaw     = explode('if', $currentFilters);
  $nF = 0;
  foreach($filtersRaw as $f)
  {
    if(chop($f) != '')
    {
      $f = ereg_replace("end$", "endif", $f);
      $f = str_replace("\n", "\n ", $f);
      if($nF != $toDelFilter)
        $filters[] = "if $f";
      $nF++;
    }
  }
  $currentFilters = '';
  foreach($filters as $f)
    $currentFilters .= "\n$f";
  dbQuery("UPDATE account SET filters = '$currentFilters' WHERE accountname = '$user'") or dbError('filters', 'Query failed');
  $emptyVars = 1;
}
if($emptyVars == 1)
{
  $nConditions = 0;
  $filterTest[0] = '';
  $filterCondition[0] = '';
  $match[0] = '';
  $filterAndOr[0] = '';
  $filterAction = '';
  $filterActionValue = '';
  $filterActionFinish = '';
}

require "header.inc.php";
?>
<SCRIPT Language="JavaScript">
function deleteFilter(nFilter)
{
  if(confirm("<? echo _('Bitte bestaetigen!'); ?>"))
  {
    document.insertForm.action.value = 'delFilter_' + nFilter;
    document.insertForm.submit();
  }
}
function addCondition()
{
  document.insertForm.action.value = '';
  document.insertForm.conditionsAction.value = 'add';
  document.insertForm.submit();
}
function delCondition(nCond)
{
  document.insertForm.action.value = '';
  document.insertForm.conditionsAction.value = 'del_' + nCond;
  document.insertForm.submit();
}
</SCRIPT>
<BODY>
<?
require "menu.inc.php";
?>
  <CENTER>
    <H2><? printf(_("Filters des Kontos '%s'"), $user); ?>'</H2><HR>
    <DIV STYLE="font-size:16px;"><? echo _("<B>Wichter Hinweis!</B> Diese Funktion ist <U>nur f&uuml;r experte Nutzer</U> gedacht!<BR>Ein Filter anzulegen, bzw. zu bearbeiten, ohne die n&ouml;tigen Kenntnisse, kann zum Verlust der E-Mail f&uuml;hren!<BR>Um alle Befehle solcher Filters zu verstehen, sind Kenntnisse von <A HREF=\"http://www.exim.org/\" TARGET=\"_BLANK\">Exim</A> erforderlich!"); ?></DIV><BR>
    <TABLE WIDTH="600" BORDER="0" cellspacing="1" cellpadding="0">
      <TR>
        <TH class="addbook" style="border-left-width:1px; border-left-style:solid;" WIDTH="460"><? echo _('Filter'); ?></TH>
        <TH class="addbook" WIDTH="140">&nbsp;</TH>
      </TR>
      <TR>
        <td colspan="2">
<?
$query          = "SELECT filters FROM account WHERE accountname='$user'";
$result         = dbQuery($query) or dbError('filters', 'Query failed');
$rs             = dbFetch($result);
$filtersStr     = $rs->filters;
$currentFilters = $filtersStr;
$filters        = array();
$filtersRaw     = explode('if', $filtersStr);
foreach($filtersRaw as $f)
{
  if(chop($f) != '')
  {
    $f = ereg_replace("end$", " endif", $f);
    $filters[] = "if $f";
  }
}
$nLines       = count($filters);

if($edit != '')
{
  $tokens = explode("\n", $filters[$edit]);
  $nConditions = 0;
  for($nT = 0; $nT < count($tokens); $nT++)
  {
    $usedWords = 0;
    $token = rtrim(trim($tokens[$nT]));
    if(strtolower($token) == 'and' || strtolower($token) == 'or')
    {
      $filterAndOr[$nConditions] = $token;
      $nConditions++;
    }
    if(strtolower($token) == 'seen finish')
      $filterActionFinish = 't';
    if(strtolower($token) == 'then')
    {
      list($filterAction, $filterActionValue) = explode(' ', rtrim(trim($tokens[$nT + 1])));
      if($filterAction == 'save')
        $filterActionValue = str_replace('%%FINALDEST%%/.', '', $filterActionValue);
    }
    if(substr($token, 0, 1) == '$')
    {
      $ts = explode(" ", $token);
      foreach(array_keys($filtersTests) as $k)
        if($filtersTests[$k] == $ts[0])
        {
          $filterTest[$nConditions] = $k;
          break;
        }
      foreach($filtersConditions as $k)
      {
        $nw = count(explode(' ', $k));
        $c = '';
        for($l = 0; $l < $nw; $l++)
        {
          if($c != '')
            $c .= ' ';
          $c .= trim($ts[$l + 1]);
        }
        if($k == $c)
        {
          $usedWords = $nw;
          $filterCondition[$nConditions] = $k;
          break;
        }
      }
      $v = '';
      for($l = $usedWords + 1; $l < count($ts); $l++)
      {
        if($v != '')
          $v .= ' ';
        $v .= trim($ts[$l]);
      }
      $v = str_replace('"', '', $v);
      $match[$nConditions] = $v;
    }
  }
  $nConditions++;
}

if($nLines > 10)
{
  $divHeight = 181;
  $w1 = 458;
  $w2 = 125;
}
else
{
  $divHeight = 18 * $nLines;
  $w1 = 459;
  $w2 = 141;
}
if($nLines == 0)
  $divHeight = 18;

echo "<div id=\"Layer1\" style=\"border-width:1px; border-style:solid; width:600px; z-index:1; ";
if($nLines > 10)
  echo "overflow: auto; ";
echo "height:$divHeight"."px;\">\n";
echo "  <TABLE WIDTH=\"100%\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"2\">\n";

$style = 'table02';
for($l = 0; $l < $nLines; $l++)
{
  $f = $filters[$l];
  foreach(array_keys($filtersTests) as $k)
    $f = str_replace($filtersTests[$k], $k, $f);
  if($style == 'table02')
    $style = 'table03';
  else
    $style = 'table02';
  if(strlen($f) > 90)
    $displayFilter = stripslashes(htmlentities(substr($f, 0, 90))).'...';
  else
    $displayFilter = stripslashes(htmlentities($f));
?>
      <TR>
        <TD ALIGN="LEFT" WIDTH="<? echo $w1; ?>" class="<? echo $style; ?>" style="border-left-width:0px;border-right-width:0px;border-bottom-width:0px;border-top-width:0px;"><A CLASS="addbook" HREF="<? echo $PHP_SELF.'?sid='.session_id()."&edit=$l"; ?>" ALT="<? echo stripslashes(htmlentities($f)); ?>" TITLE="<? echo stripslashes(htmlentities($f)); ?>"><? echo $displayFilter; ?></A></TD>
        <TD WIDTH="<? echo $w2; ?>" class="<? echo $style; ?>" style="border-right-width:0px;border-bottom-width:0px;border-top-width:0px;">
          <?
            print "<A class=\"maillist\" HREF=\"javascript:deleteFilter($l)\">"._('L&ouml;schen')."</A>";
          ?>
        </TD>
      </TR>
<?
}
if($nLines == 0)
{
?>
      <TR>
        <TD COLSPAN="2" WIDTH="<? echo $w1 + $w2; ?>" class="table03" style="border-left-width:0px;border-right-width:0px;border-bottom-width:0px;border-top-width:0px;"><b><? echo _('Kein Eintrag'); ?></b></TD>
      </TR>
<?
}

dbDisconnect();
?>
    </TABLE>
    </td>
    </tr></table>
  </div>
    <HR>
    <FORM ACTION="filters.php?sid=<? print session_id(); ?>" METHOD="POST" NAME="insertForm">
<?
if($toManage != '' && $isAdminLogged != 'f')
  echo "<INPUT TYPE=\"hidden\" NAME=\"toManage\" VALUE=\"$toManage\">\n";

if($nConditions == '')
  $nConditions = 1;
if($conditionsAction == 'add')
{
  if($match[$nConditions - 1] != '')
    $nConditions++;
  else
    print '<b>'._('Sie m&uuml;ssen ein Wert eingeben')."</b><br>\n";
}
if(substr($conditionsAction, 0, 4) == 'del_')
{
  $nD = substr($conditionsAction, 4);
  $nft = array();
  $nfc = array();
  $nfm = array();
  $nfl = array();
  for($n = 0; $n < $nConditions; $n++)
    if($n != $nD)
    {
      $nft[] = $filterTest[$n];
      $nfc[] = $filterCondition[$n];
      $nfm[] = $match[$n];
      $nfl[] = $filterAndOr[$n];
    }
  $filterTest = $nft;
  $filterCondition = $nfc;
  $match = $nfm;
  $filterAndOr = $nfl;
  $nConditions--;
}
?>
    <INPUT TYPE="hidden" NAME="currentFilters" VALUE="<? echo stripslashes(htmlentities($currentFilters)); ?>">
    <INPUT TYPE="hidden" NAME="action" VALUE="<? if($edit != '') echo "edit $edit"; else echo "insert"; ?>">
    <INPUT TYPE="hidden" NAME="nConditions" VALUE="<? echo $nConditions; ?>"><INPUT TYPE="hidden" NAME="conditionsAction" VALUE="">
<?
for($n = 0; $n < $nConditions; $n++)
{
?>
    <SELECT NAME="filterTest[]" SIZE="1">
<?
  foreach(array_keys($filtersTests) as $t)
    if($filterTest[$n] == $t)
      echo "<OPTION SELECTED>$t</OPTION>\n";
    else
      echo "<OPTION>$t</OPTION>\n";
?>
    </SELECT>
    <SELECT NAME="filterCondition[]" SIZE="1">
<?
  foreach($filtersConditions as $c)
    if($filterCondition[$n] == $c)
      echo "<OPTION SELECTED>$c</OPTION>\n";
    else
      echo "<OPTION>$c</OPTION>\n";
?>
    </SELECT>
    <INPUT TYPE="text" NAME="match[]" VALUE="<? echo $match[$n]; ?>" STYLE="width:100px;">
<?
  if($n < $nConditions - 1)
  {
?>
    <SELECT NAME="filterAndOr[]" SIZE="1">
      <OPTION VALUE="and"<? if($filterAndOr[$n] == 'and') echo " SELECTED"; ?>>AND</OPTION>
      <OPTION VALUE="or"<? if($filterAndOr[$n] == 'or') echo " SELECTED"; ?>>OR</OPTION>
    </SELECT>
    &nbsp;&nbsp;&nbsp;<a class="maillist" href="javascript:delCondition(<? echo $n; ?>);"><? echo _('Zeile l&ouml;schen'); ?></a>
<?
  }
  else
  {
?>
    &nbsp;&nbsp;&nbsp;<a class="maillist" href="javascript:addCondition();"><? echo _('Neue Zeile'); ?></a>
<?
    if($nConditions > 1)
    {
?>
    &nbsp;&nbsp;&nbsp;<a class="maillist" href="javascript:delCondition(<? echo $n; ?>);"><? echo _('Zeile l&ouml;schen'); ?></a>
<?
    }
  }
  echo "<br>\n";
}
?>
    <br>
    <SELECT NAME="filterAction" SIZE="1">
<?
  foreach($filtersActions as $a)
    if($filterAction == $a)
      echo "<OPTION SELECTED>$a</OPTION>\n";
    else
      echo "<OPTION>$a</OPTION>\n";
?>
    </SELECT>&nbsp;&nbsp;<INPUT TYPE="text" NAME="filterActionValue" VALUE="<? echo $filterActionValue; ?>" STYLE="width:200px;">
    &nbsp;&nbsp;<INPUT TYPE="CheckBox" NAME="filterActionFinish" VALUE="t"<? if($filterActionFinish == 't') echo " CHECKED=\"Checked\""; ?>><? echo _("Ende der Bearbeitung der E-Mail"); ?>
<?
  if($err != '')
    echo '<br>'.$err;
?>
    <BR><BR><input type="submit" class="button" name="addButton" tabindex="4" value="<? if($edit == '') echo _('Hinzuf&uuml;gen'); else echo _('&Auml;ndern'); ?>" onclick="return document.insertForm.submit();" /><? if($edit != '') {?>&nbsp;&nbsp;&nbsp;<input type="submit" class="button" name="resetButton" tabindex="4" value="<? echo _('Abbrechen'); ?>" onclick="document.insertForm.action.value = 'cancel'; return document.insertForm.submit();" /><?} ?>
    </FORM>
  </CENTER>
</BODY>
</HTML>
