<?
/*******************************************************************************
*    Config 1.0. Configuration Server for an Exim Mailsystem                   *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

ini_set("session.auto_start", "0");
ini_set("session.use_cookies", "0");
session_start();

require('db.inc.php');

session_register("session");

if($lang == '' && isset($_COOKIE['wmailLang']))
  $lang = $_COOKIE['wmailLang'];
if($lang == '')
{
  $tok = strtok($GLOBALS['HTTP_ACCEPT_LANGUAGE'], "[-,]");
  while($lang == '')
  {
    foreach(array_keys($languages) as $l)
      if($tok == substr($l, 0, 2))
        $lang = $l;
    if($lang == '')
      $lang   = 'de';
  }
}
require_once('lang.inc.php');

function getPasswordForUser($login)
{
  dbConnect();
  list($lp, $dom) = explode('@', $login);
  $result = dbQuery("SELECT accountname, passwd FROM account LEFT JOIN aliases ON(aliases.accountid = account.id) LEFT JOIN domain ON(aliases.domainid = domain.id) WHERE virtual = 'f' AND ((aliasname = '$lp' AND domainname = '$dom') OR (accountname = '$login'))");
  $row = dbFetchArray($result);
  dbDisconnect();

  return array($row['accountname'], $row['passwd']);
}

$error = 0;
if($action == 'login')
  {
    if($hash != '')
    {
      parse_str(base64_decode($hash));
      $session[fromOtherPrg]  = 'yes';
    }
    list($l, $p) = getPasswordForUser($login);
    if($password == $p)
      {
        $session[host]        = ${'REMOTE_ADDR'};
        $session[user]        = $l;
        $session[lang]        = $lang;
        $clamA                = explode(' ', chop(shell_exec("$clamscanBin --version")));
        $clamA1               = explode('/', $clamA[1]);
        $spamA                = explode(' ', chop(shell_exec("$spamcBin -V")));
        $session[clamVersion] = $clamA1[0].'/'.$clamA1[1];
        if($spamA[2] == 'version')
          $session[spamVersion] = $spamA[3];
        else
          $session[spamVersion] = $spamA[2];
        header("LOCATION: main.php?sid=".session_id());
      }
    else
      $error = 1;
  }

require "header.inc.php";
?>
<SCRIPT type="text/javascript" Language="JavaScript">
function selectLang()
{
  if(document.loginForm.login.value == '' && document.loginForm.password.value == '')
  {
    var lang_page = 'index.php?lang=' + document.loginForm.lang[document.loginForm.lang.selectedIndex].value;
    self.location = lang_page;
  }
}

function init(where)
{
  if(where == 'login')
  {
    if(document.loginForm.login.value == '')
      document.loginForm.login.focus();
    else
      document.loginForm.password.focus();
  }
  else
    document.loginForm.password.focus();
}

</SCRIPT>

<BODY onLoad="init('<? if($error == 0) print "login"; else print "password"; ?>');">
  <CENTER>
<?
  if($error == 1)
    {
?>
    <B><? echo _('Falsches Nutzername oder Passwort!'); ?></B><BR><BR>
<?
    }
?>
    <B><br><? echo _('Bitte geben Sie ein Login und Passwort ein!'); ?><br></B>
    <FORM ACTION="<? print $PHP_SELF; ?>?sid=<? print session_id(); ?>" METHOD="POST" NAME="loginForm">
      <INPUT TYPE="HIDDEN" NAME="action" VALUE="login">
      <TABLE WIDTH="50%">
        <TR>
          <TD WIDTH="30%" ALIGN="RIGHT"><? echo _('Login/E-Mail'); ?>:</TD>
          <TD WIDTH="70%" ALIGN="LEFT"><INPUT TYPE="TEXT" NAME="login" SIZE="30" VALUE="<? print $login; ?>"></TD>
        </TR>
        <TR>
          <TD WIDTH="30%" ALIGN="RIGHT"><? echo _('Passwort'); ?>:</TD>
          <TD WIDTH="70%" ALIGN="LEFT"><INPUT TYPE="PASSWORD" NAME="password" SIZE="30"></TD>
        </TR>
        <TR>
          <TD WIDTH="30%" ALIGN="RIGHT"><? echo _('Sprache'); ?>:</TD>
          <TD WIDTH="70%" ALIGN="LEFT"><SELECT TABINDEX="3" NAME="lang" onchange="selectLang()">
<?
foreach(array_keys($languages) as $l)
{
  if($lang == $l)
    echo "<OPTION VALUE=\"$l\" SELECTED=\"selected\">$languages[$l]</OPTION>\n";
  else
    echo "<OPTION VALUE=\"$l\">$languages[$l]</OPTION>\n";
}
?>
              </SELECT>
          </TD>
        </TR>
        <TR>
          <TD WIDTH="30%" ALIGN="RIGHT">&nbsp;</TD>
          <TD WIDTH="70%" ALIGN="LEFT"><input type="submit" class="button" name="loginButton" tabindex="4" value="<? echo _('Einloggen'); ?>" onclick="return document.loginForm.submit();" /></TD>
        </TR>
      </TABLE>
    </FORM>
  </CENTER>
  <br>
  <table width="100%" border="0">
    <tr>
      <td align="left" valign="bottom"><font size="1">&copy; 2007 by <a class="maillist" href="http://www.lucabert.de/" target="top">Luca Bertoncello</a></font></td>
      <td align="center" valign="bottom">
        <A HREF="http://spamassassin.apache.org/" TARGET="_blank"><IMG SRC="/images/logos/SAbutton.png" BORDER="0" ALT="Protected by SpamAssassin"></A>&nbsp;&nbsp;&nbsp;&nbsp;
        <A HREF="http://www.clamav.net/" TARGET="_blank"><IMG SRC="/images/logos/clamav-logo.png" BORDER="0" ALT="Protected by ClamAV"></A>&nbsp;&nbsp;&nbsp;&nbsp;
        <A HREF="http://www.exim.org/" TARGET="_blank"><IMG SRC="/images/logos/exim-blue-ld-sml.png" BORDER="0" ALT="Powered by Exim"></A>&nbsp;&nbsp;&nbsp;&nbsp;
        <A HREF="http://www.dovecot.org/" TARGET="_blank"><IMG SRC="/images/logos/dovecot.png" BORDER="0" ALT="Powered by Dovecot"></A>&nbsp;&nbsp;&nbsp;&nbsp;
        <A HREF="http://www.php.net/" TARGET="_blank"><IMG SRC="/images/logos/php-power-white.png" BORDER="0" ALT="Powered by PHP"></A>
      </td>
      <td align="right"><a href="http://jigsaw.w3.org/css-validator/check/referer" target="_blank"><img style="border:0;width:88px;height:31px" border="0" src="/images/valid-css.gif" alt="Valid CSS!" ></a>&nbsp;&nbsp;<a href="http://validator.w3.org/check?uri=referer" target="_blank"><img src="/images/valid-html401.gif" alt="Valid HTML 4.01 Transitional" height="31" width="88" border="0"/></a>&nbsp;&nbsp;<a href="http://www.anybrowser.org/campaign/" target="_blank"><img src="/images/anybrowser4.gif" alt="Best viewed with ANY Browser" border="0"/></a></TD>
    </tr>
  </table>
</BODY>
</HTML>
